# PagedComponent

fun < T > PagedComponent (pageInfo: Pagination , loader: suspend PagedComponentContext < T >.( Pagination ) -> PaginationResult < T >, predefinedScope: CoroutineScope? = null, block: PagedComponentContext < T >.( PaginationResult < T >) -> Unit )(source)

Overloaded composable function for paginated components with pagination info.

#### Parameters

pageInfo

Initial pagination information.

loader

Suspended function that loads paginated data.

block

Composable function that renders the UI with the loaded data.

#### Type Parameters

T

The type of paginated data.

fun < T > PagedComponent (size: Int , loader: suspend PagedComponentContext < T >.( Pagination ) -> PaginationResult < T >, predefinedScope: CoroutineScope? = null, block: PagedComponentContext < T >.( PaginationResult < T >) -> Unit )(source)

Overloaded composable function for paginated components with only a size parameter.

#### Parameters

size

Number of items per page.

loader

Suspended function that loads paginated data.

block

Composable function that renders the UI with the loaded data.

#### Type Parameters

T

The type of paginated data.